#include <stdio.h>
#include <stdlib.h>
#include "structures.h"
#include "classe.h"
#include "case.h"
#include "terrain.h"
#include "controleur.h"
#include "affichage.h"
#include "roxml.h"
#include "carte.h"
#include "Interface.h"
#include "gamePackage.h"


/*!
 * \fn int init_jeu(char *filename)
 * \brief Fonction d'initialisation du jeu
 *
 * \param Le fichier d'initialisation
 * \return un entier
 */
int init_jeu(char *filename)
{
    FILE *fichier_init;
    fichier_init=fopen(filename,"r");
    if (fichier_init!=NULL)
    {
        node_t *rootXML, *ConfigXML, *Classes, *Terrains;
        char nom[20];
        int i=0, nombre_config=0;

        rootXML = roxml_load_doc(filename);
        ConfigXML = roxml_get_chld(rootXML, NULL, 0);
        nombre_config = roxml_get_chld_nb(ConfigXML);

        for(i=0; i<nombre_config; i++)
        {
            node_t* config_actuelle = roxml_get_chld(ConfigXML, NULL, i);
            roxml_get_name(config_actuelle, nom, 20);

            if(strcmp(nom,"Classes")==0)
            {
                char fichier_text[50];
                char fichier_temp[50];
                strcpy(fichier_text,"../resources/");
                strcpy(fichier_temp,roxml_get_content(roxml_get_attr(config_actuelle, "fichier", 0), NULL, 0, NULL));
                strcat(fichier_text, fichier_temp);
                Librairie_Classes(fichier_text);
            }
            if(strcmp(nom,"Terrains")==0)
            {
                char fichier_text[50];
                char fichier_temp[50];
                strcpy(fichier_text,"../resources/");
                strcpy(fichier_temp,roxml_get_content(roxml_get_attr(config_actuelle, "fichier", 0), NULL, 0, NULL));
                strcat(fichier_text, fichier_temp);
                Librairie_Terrains(fichier_text);
            }
            if(strcmp(nom,"Cartes")==0)
            {
                char fichier_text[50];
                char fichier_temp[50];
                strcpy(fichier_text,"../resources/");
                strcpy(fichier_temp,roxml_get_content(roxml_get_attr(config_actuelle, "fichier", 0), NULL, 0, NULL));
                strcat(fichier_text, fichier_temp);
                char *Map_B = ExtraireCarte(2);
            }
            if(strcmp(nom,"Competences")==0)
            {
                /* Initialisation des comptences  venir */

            }
        }

        fclose(fichier_init);

    }
    else
    {
        fprintf(stderr,"Erreur dans l'ouverture du fichier");
        return 1;
    }
    return 0;
}

int main(void)
{

//init_jeu("../resources/Init_jeu.xml");


    initJeu();
    //saisie_noms_joueurs(); /*lance le jeu  l'ecran "entrer nom joueur 1"*/
    //affichage_ecran_accueil(); /*lance le jeu direct  l'ecran de lancement, sans rentrer les noms des joueurs*/


    return 0;
}
